import { Injectable } from "@angular/core";
import Parse from "parse";
import { HttpClient } from "@angular/common/http";

@Injectable({
  providedIn: "root",
})
export class textbookServer {
  company: string = localStorage.getItem("company")!;
  theme: boolean = false; //深色主题模式
  profile:any = JSON.parse(localStorage.getItem('profile')!)
  constructor(private http: HttpClient) {
  }
  authMobile(mobile: string): boolean {
    let a = /^1[3456789]\d{9}$/;
    if (!String(mobile).match(a)) {
      return false;
    }
    return true;
  }
  randomPassword():string {
    let sCode =
      'A,B,C,E,F,G,H,J,K,L,M,N,P,Q,R,S,T,W,X,Y,Z,1,2,3,4,5,6,7,8,9,0,q,w,e,r,t,y,u,i,o,p,a,s,d,f,g,h,j,k,l,z,x,c,v,b,n,m';
    let aCode = sCode.split(',');
    let aLength = aCode.length; //获取到数组的长度
    let str = []
    for (let i = 0; i <= 16; i++) {
      let j = Math.floor(Math.random() * aLength); //获取到随机的索引值
      let txt = aCode[j]; //得到随机的一个内容
      str.push(txt)
    }
    return str.join('')
  }
}
